## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           xfontsel
Version:        1.1.0
Release:        %autorelease
Summary:        Tool to list X11 core protocol fonts

License:        MIT
URL:            https://www.x.org
Source0:        %{url}/pub/individual/app/%{name}-%{version}.tar.xz
Source1:        %{url}/pub/individual/app/%{name}-%{version}.tar.xz.sig
# Keyring created on 2021-02-23 with:
#   workdir="$(mktemp --directory)"
#   gpg2 --with-fingerprint xfontsel-1.0.6.tar.bz2.sig 2>&1 |
#     awk '$2 == "using" { print "0x" $NF }' |
#     xargs gpg2 --homedir="${workdir}" \
#         --keyserver=hkp://pool.sks-keyservers.net --recv-keys
#   gpg2 --homedir="${workdir}" --export --export-options export-minimal \
#       > xfontsel.gpg
#   rm -rf "${workdir}"
# Inspect keys using:
#   gpg2 --list-keys --no-default-keyring --keyring ./xfontsel.gpg
# Since the SKS Keyserver Network is no longer online, you can reproduce by
# substituting:
#   --keyserver=hkps://keys.openpgp.org
Source2:        %{name}.gpg

BuildRequires:  gnupg2

BuildRequires:  autoconf
BuildRequires:  automake

BuildRequires:  gcc
BuildRequires:  make

BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8

Obsoletes:      xorg-x11-apps < 7.7-31

%description
The %{name} application provides a simple way to display the X11 core protocol
fonts known to your X server, examine samples of each, and retrieve the X
Logical Font Description (“XLFD”) full name for a font.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup


%build
autoreconf --force --install --verbose
%configure
%make_build


%install
%make_install


%files
%license COPYING
%doc ChangeLog
%doc README.md
%{_bindir}/xfontsel
%{_mandir}/man1/xfontsel.1*
%{_datadir}/X11/app-defaults/XFontSel


%changelog
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 11 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1.1.0-1
- Update to 1.1.0 (close RHBZ#2105851)

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.0.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Sep 09 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.0.6-13
- Add a comment with an alternative to the SKS Keyserver Network

* Thu Sep 09 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.0.6-12
- Shorten Source# lines with url macro

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.0.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Apr 30 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.6-3
- Adjust whitespace and ordering to personal preference
- Add missing autoconf BR and drop bogus libtool BR
- Add --force to autoreconf
- Drop --disable-silent-rules configure argument, redundant with V=1 in
  make_build macro
- Slightly nicer description
- Install ChangeLog and README
- Add cryptographic source archive verification

* Thu Apr 08 2021 Peter Hutterer <peter.hutterer@redhat.com> - 1.0.6-2
- Fix Obsoletes line to actually obsolete the -30 xorg-x11-apps (#1947245)

* Tue Mar 02 2021 Peter Hutterer <peter.hutterer@redhat.com> 1.0.6-1
- Split xfontsel out from xorg-x11-apps into a separate package (#1933945)

